cURL
curl --request GET \ --url https://v2.api.adj.news/api/v1/rates/chains \ --header 'Authorization: Bearer <token>'
[ { "chain_id": "<string>", "name": "<string>", "description": "<string>", "roll_lead_days": 123, "roll_window_days": 123, "contracts": [ { "contract_id": "<string>", "market_id": "<string>", "symbol": "<string>", "start_date": "2023-11-07T05:31:56Z", "end_date": "2023-11-07T05:31:56Z", "is_active": true } ] } ]
Get all rate chains with their configuration and contracts. Used for rolling reference rates.
linear_blend
step_change
custom
roll_lead_days
roll_window_days
{ "chains": [ { "chain_id": "pres-2024-2028", "name": "Presidential 2024-2028", "description": "Rolling presidential election contracts", "roll_lead_days": 7, "roll_window_days": 14, "roll_schedule_type": "linear_blend", "total_contracts": 4, "active_contracts": 2, "contracts": [ { "contract_id": "contract_001", "market_id": "KXPRESPARTY-2028-D", "contract_symbol": "PRES-2028-D", "start_date": "2024-01-01T00:00:00Z", "end_date": "2025-01-01T00:00:00Z", "is_active": true } ] } ] }
curl "https://v2.api.adj.news/api/v1/rates/chains" \ -H "Authorization: Bearer YOUR_TOKEN"
Clerk JWT Bearer token
List of rate chains
Show child attributes
Was this page helpful?